Today's Deals
curl --request GET \
--url https://scrapebadger.com/v1/amazon/deals \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/amazon/deals"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/amazon/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/amazon/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/amazon/deals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/amazon/deals")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/amazon/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"domain": "com",
"category": null,
"results": [
{
"position": 1,
"asin": "B0C7KMR3T5",
"title": "Sony WH-1000XM5 Wireless Headphones",
"link": "https://www.amazon.com/dp/B0C7KMR3T5",
"image": "https://m.media-amazon.com/images/I/61deal.jpg",
"deal_price": {
"value": 298,
"currency": "USD",
"symbol": "$",
"raw": "$298.00"
},
"list_price": {
"value": 399.99,
"currency": "USD",
"symbol": "$",
"raw": "$399.99"
},
"discount_percent": 25,
"deal_type": "Best Deal",
"is_lightning_deal": false,
"badge": "Limited time deal",
"ends_at_utc": null,
"ends_at": null
}
]
}Listings
Today's Deals
Current Amazon deals (lightning deals, best deals).
GET
/
v1
/
amazon
/
deals
Today's Deals
curl --request GET \
--url https://scrapebadger.com/v1/amazon/deals \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/amazon/deals"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/amazon/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/amazon/deals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/amazon/deals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/amazon/deals")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/amazon/deals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"domain": "com",
"category": null,
"results": [
{
"position": 1,
"asin": "B0C7KMR3T5",
"title": "Sony WH-1000XM5 Wireless Headphones",
"link": "https://www.amazon.com/dp/B0C7KMR3T5",
"image": "https://m.media-amazon.com/images/I/61deal.jpg",
"deal_price": {
"value": 298,
"currency": "USD",
"symbol": "$",
"raw": "$298.00"
},
"list_price": {
"value": 399.99,
"currency": "USD",
"symbol": "$",
"raw": "$399.99"
},
"discount_percent": 25,
"deal_type": "Best Deal",
"is_lightning_deal": false,
"badge": "Limited time deal",
"ends_at_utc": null,
"ends_at": null
}
]
}Query Parameters
Category alias to scope the deals feed. Use
/v1/amazon/categories to look up aliases.Response
Array of current deals.
Show Deal object
Show Deal object
Example Response
{
"domain": "com",
"category": null,
"results": [
{
"position": 1,
"asin": "B0C7KMR3T5",
"title": "Sony WH-1000XM5 Wireless Headphones",
"link": "https://www.amazon.com/dp/B0C7KMR3T5",
"image": "https://m.media-amazon.com/images/I/61deal.jpg",
"deal_price": { "value": 298.0, "currency": "USD", "symbol": "$", "raw": "$298.00" },
"list_price": { "value": 399.99, "currency": "USD", "symbol": "$", "raw": "$399.99" },
"discount_percent": 25,
"deal_type": "Best Deal",
"is_lightning_deal": false,
"badge": "Limited time deal",
"ends_at": null
}
]
}
Each deals request costs 8 credits. Failed requests are not charged.

